package com.mortals.xhx.module.site.service;

import com.mortals.framework.common.Rest;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDCacheService;
import com.mortals.xhx.module.matter.model.MatterEntity;
import com.mortals.xhx.module.site.dao.SiteDao;
import com.mortals.xhx.module.site.model.SiteEntity;
import com.mortals.xhx.module.site.model.SiteQuery;
import com.mortals.xhx.module.site.model.SiteTreeSelect;
import com.mortals.xhx.module.site.model.vo.SiteAreaVo;

import java.util.List;
import java.util.Map;

/**
 * SiteService
 * <p>
 * 站点 service接口
 *
 * @author zxfei
 * @date 2022-01-12
 */
public interface SiteService extends ICRUDCacheService<SiteEntity, Long> {

    SiteDao getDao();

}